Subject: Re: [PATCH v3 02/26] submodule--helper: stop conflating "sb" in clone_submodule()

From: Junio C Hamano <[email-masked]>
Date: Fri, 22 Jul 2022 11:47:29 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> This looks like a roundabout way to say xstrfmt().
>
> Yes, I can fix this and others while I'm at it, but a lot of things like
> that in this code are funny uses of APIs that we could improve.
>
> I think it's probably best to just leave these for now.

Agreed.  We could instead have a separate series to fix API usage
before these and then build leak-plugging on top, or the other way
around, and in general "clean then plug" would make it easier to
review the plugging patches (simply because it would be working on
clean code, not code that misuses the API in strange ways), but it
is too late now.  Lets make sure we do not forget to revisit the API
misuse but lets avoid mixing it into the series.